body {
  font-family: "Montserrat", sans-serif;
  max-height: 100vh;
  overflow: hidden;
  line-height: 1.5;
  font-size: 16px;
}

.hero {
  max-height: 100vh;
  position: relative;
  min-height: 100vh;
  display: flex;
  align-items: center;
  background: url("../img/back.webp") no-repeat center center / cover;
  overflow: hidden;
  padding: 0 32px 0 94px;
}

@media (max-height: 580px) and (orientation: landscape) {
  .hero {
    max-height: none;
    overflow: auto;
  }
}

@media (max-width: 1024px) {
  .hero {
    padding: 24px;
    justify-content: center;
  }
}

.static-decorations {
  position: absolute;
  inset: 0;
  z-index: 4;
  overflow: hidden;
  background: transparent;
  pointer-events: none;
}

@media (max-width: 1366px) {
  .coin-static {
    max-width: 200px;
  }
}

@media (max-width: 768px) {
  .coin-static {
    max-width: 150px;
  }
}

@media (max-width: 375px) {
  .coin-static {
    max-width: 100px;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  .coin-static {
    max-width: 100px;
  }
}

.coin-top-left {
  position: absolute;
  left: 505px;
  animation: wiggle 3.5s ease-in-out infinite alternate;
}

@media (max-width: 1366px) {
  .coin-top-left {
    left: -25px;
  }
}

@media (max-width: 768px) {
  .coin-top-left {
    left: 0;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  .coin-top-left {
    top: 50px;
    left: 0;
  }
}

.coin-top-right {
  position: absolute;
  right: 56px;
  top: -44px;
  animation: wiggle 3s ease-in-out infinite alternate;
}

@media (max-height: 580px) and (orientation: landscape) {
  .coin-top-right {
    top: 0;
  }
}

.coin-bottom-left {
  position: absolute;
  bottom: 16px;
  left: 706px;
  animation: wiggle 4s ease-in-out infinite alternate;
}

@media (max-width: 1366px) {
  .coin-bottom-left {
    bottom: -20px;
    left: -20px;
  }
}

@media (max-width: 768px) {
  .coin-bottom-left {
    bottom: 0;
    left: 28px;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  .coin-bottom-left {
    bottom: 100px;
    left: 0;
  }
}

.coin-bottom-right {
  position: absolute;
  bottom: -32px;
  right: -43px;
  animation: wiggle 8s ease-in-out infinite alternate;
}

@media (max-width: 1366px) {
  .coin-bottom-right {
    bottom: -12px;
    right: -12px;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  .coin-bottom-right {
    bottom: 75px;
    right: 0;
  }
}

.decorations {
  position: absolute;
  inset: 0;
  z-index: 1;
  overflow: hidden;
  background: transparent;
  pointer-events: none;
}

.characters {
  position: absolute;
  min-height: 100%;
  top: 0;
  right: 0;
  z-index: 1;
}

@media (max-width: 768px) {
  .characters {
    left: 0;
  }
}

.characters img {
  filter: drop-shadow(0 0 2px rgba(0, 255, 100, 0.6));
  transform: scale(1.375) translateX(-2.5%) translateY(-3px);
}

@media (max-width: 1919px) {
  .characters {
    max-width: 50%;
  }
}

@media (max-width: 1366px) {
  .characters {
    max-width: 40%;
  }
}

@media (max-width: 1024px) {
  .characters {
    display: none;
  }
}

.content {
  position: relative;
  z-index: 3;
  padding: 0 0 58px 0;
}

@media (max-width: 1366px) {
  .content {
    max-width: 100vw;
    padding: 0 0 0 0;
  }
}

@media (max-width: 768px) {
  .content {
    max-width: 100vw;
  }
}

.logo {
  max-width: 456px;
  margin: 0 0 42px 0;
  letter-spacing: 0;
}

@media (max-width: 1366px) {
  .logo {
    max-width: 100%;
    margin: 0 0 24px 0;
  }
}

@media (max-width: 768px) {
  .logo {
    margin: 0 0 12px 0;
  }
}

@media (max-height: 768px) and (orientation: landscape) {
  .logo {
    max-height: 50px;
    margin: 0 0 12px 0;
  }
}

h1 {
  font-weight: 800;
  font-size: 82px;
  line-height: 1.15;
  letter-spacing: 1px;
  color: #ffffff;
  text-shadow: 0px 5px 5px #000000d4;
  margin: 0 0 12px 0;
}

@media (max-width: 1366px), (max-height: 900px) and (orientation: landscape) {
  h1 {
    font-size: 60px;
    margin: 0 0 4px 0;
  }
}

@media (max-width: 768px) {
  h1 {
    font-size: 48px;
    margin: 0 0 4px 0;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  h1 {
    font-size: 32px;
    margin: 0 0 4px 0;
  }
}

.title-bonus {
  color: #ffff53;
  font-weight: 900;
  font-size: 114px;
  line-height: 1;
  text-shadow: 0px 10px 6px #011714c7;
}

@media (max-height: 900px) and (orientation: landscape) {
  .title-bonus {
    font-size: 64px;
  }
}

@media (max-width: 1366px) {
  .title-bonus {
    font-size: 48px;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  .title-bonus {
    font-size: 40px;
  }
}

.title-bonus + .title-bonus {
  margin: 0 0 15px 33px;
}

.description {
  max-width: 507px;
  color: #ffffff;
  font-weight: 500;
  font-size: 48px;
  margin: 0 0 62px 0;
  line-height: 1.15;
  text-shadow: 0px 8px 6px #00000091;
}

@media (max-height: 900px) and (orientation: landscape) {
  .description {
    font-size: 32px;
    margin: 0 0 32px 0;
  }
}

@media (max-width: 1366px) {
  .description {
    font-size: 32px;
    margin: 0 0 12px 0;
  }
}

@media (max-width: 768px) {
  .description {
    font-size: 24px;
    margin: 0 0 12px 0;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  .description {
    font-size: 16px;
    margin: 0 0 12px 0;
  }
}

.buttons-holder {
  display: grid;
  gap: 15px;
  max-width: 535px;
}

@media (max-width: 1366px) {
  .buttons-holder {
    margin: 0 auto;
    max-width: none;
  }
}

@media (max-width: 768px) {
  .buttons-holder {
    gap: 12px;
  }
}

.btn {
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid transparent;
  border-radius: 21px;
  padding: 32px 24px;
  font-size: 36px;
  line-height: 1.15;
  transition: all 0.3s ease;
  font-weight: 700;
  line-height: 26px;
  text-transform: capitalize;
  color: #ffffff;
  letter-spacing: 2px;
}

@media (max-height: 900px) and (orientation: landscape) {
  .btn {
    padding: 12px 24px;
    font-size: 18px;
  }
}

@media (max-width: 768px) {
  .btn {
    padding: 12px 24px;
    font-size: 18px;
  }
}

@media (max-height: 580px) and (orientation: landscape) {
  .btn {
    padding: 8px 16px;
    font-size: 18px;
  }
}

.btn:hover {
  transform: scale(1.03);
}

.btn:active {
  transform: scale(0.98);
}

.btn-primary {
  background: linear-gradient(
    to bottom,
    rgba(0, 232, 55, 0.86) 39%,
    rgba(56, 197, 90, 0.86) 91%
  );
  animation: floatAnimation 3s ease-in-out infinite;
  text-shadow: 0px 2px 6px #00000040;
}

.btn-primary:hover {
  box-shadow: 0 10px 25px rgba(0, 232, 55, 0.4);
}

.btn-primary:active {
  box-shadow:
    0 4px 10px rgba(0, 232, 55, 0.2),
    inset 0 0 100px rgba(0, 0, 0, 0.25);
}

.btn-outline {
  background-image:
    linear-gradient(#1a1813, #1a1813),
    linear-gradient(to right, #00e837, #daac05f7);
  background-origin: border-box;
  background-clip: padding-box, border-box;
}

.btn-outline:hover {
  background-image:
    linear-gradient(#0d0c0a, #0d0c0a),
    linear-gradient(to right, #00ff3c, #ffc800);
  box-shadow:
    0 8px 20px rgba(0, 0, 0, 0.6),
    0 0 15px rgba(0, 232, 55, 0.2);
}

.coin {
  max-width: 150px;
  position: absolute;
  top: -300px;
  will-change: transform;
}

@media (max-width: 1024px) {
  .coin {
    max-width: 50px;
  }
}

.coin-1 {
  right: 30%;
  animation:
    fall 6s linear infinite,
    wiggle 2s ease-in-out infinite alternate;
  animation-delay: 0s;
}

.coin-2 {
  left: 15%;
  animation:
    fall 7s linear infinite,
    wiggle 2s ease-in-out infinite alternate;
  animation-delay: 2s;
}

.coin-3 {
  width: 100px;
  left: 35%;
  animation:
    fall 6s linear infinite,
    wiggle 2s ease-in-out infinite alternate;
  animation-delay: 1.5s;
}

.coin-4 {
  left: 80%;
  animation:
    fall 9s linear infinite,
    wiggle 2s ease-in-out infinite alternate;
  animation-delay: 4.5s;
}

.coin-5 {
  left: 55%;
  animation:
    fall 4s linear infinite,
    wiggle 2s ease-in-out infinite alternate;
  animation-delay: 3s;
}

.coin-6 {
  left: 5%;
  animation:
    fall 8s linear infinite,
    wiggle 2.5s ease-in-out infinite alternate;
  animation-delay: 0.5s;
}

.coin-7 {
  right: 5%;
  animation:
    fall 5s linear infinite,
    wiggle 1.8s ease-in-out infinite alternate;
  animation-delay: 3.5s;
}

.coin-8 {
  left: 25%;
  animation:
    fall 5.5s linear infinite,
    wiggle 2.2s ease-in-out infinite alternate;
  animation-delay: 1s;
}

.coin-9 {
  left: 45%;
  animation:
    fall 7.5s linear infinite,
    wiggle 1.9s ease-in-out infinite alternate;
  animation-delay: 3s;
}

.coin-10 {
  left: 70%;
  animation:
    fall 4.5s linear infinite,
    wiggle 2.1s ease-in-out infinite alternate;
  animation-delay: 2.5s;
}

@media (max-width: 1366px) {
  .coin-6,
  .coin-7,
  .coin-8,
  .coin-9,
  .coin-10 {
    display: none;
  }
}

@keyframes fall {
  0% {
    top: -100px;
    transform: translateX(0);
    opacity: 0.8;
  }
  50% {
    transform: translateX(30px);
  }
  90% {
    opacity: 0.5;
  }
  100% {
    top: 105vh;
    transform: translateX(-20px);
    opacity: 0;
  }
}

@keyframes floatAnimation {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-8px);
  }
  100% {
    transform: translateY(0);
  }
}

@media (max-width: 768px), (max-height: 580px) and (orientation: landscape) {
  @keyframes floatAnimation {
    0% {
      transform: translateY(0);
    }
    50% {
      transform: translateY(-4px);
    }
    100% {
      transform: translateY(0);
    }
  }
}

@keyframes wiggle {
  0% {
    transform: rotateZ(-15deg);
  }
  100% {
    transform: rotateZ(15deg);
  }
}
